Skip to content


Subversion checkout URL

You can clone with
Download ZIP


Task rails:freeze:gems not working with gem 1.5.x #890

lighthouse-import opened this Issue · 2 comments

2 participants


Imported from Lighthouse. Original ticket at:
Created by Jarl Friis - 2011-03-02 13:58:58 UTC

I discovered this problem in 2.3.11 as

Freezing to the gems for Rails 2.3.11
rm -rf vendor/rails
mkdir -p vendor/rails
cd vendor/rails
rm -rf vendor/rails
rake aborted!
undefined method `version_requirements' for #<Gem::Dependency:0x0000000187c7c8>

Someone at open SuSE also ran into this and even developed a patch


This is still a problem. I'll have a pull request in a little while to fix it.


Nevermind, I see the fix in abc06a2. Will 2.3.12 be landing soon?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.